This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 698590 - Review Request: drupal6-features - Provides feature management for Drupal
Review Request: drupal6-features - Provides feature management for Drupal
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul W. Frields
Fedora Extras Quality Assurance
:
Depends On:
Blocks: InsightReviews
  Show dependency treegraph
 
Reported: 2011-04-21 06:21 EDT by Peter Borsa
Modified: 2011-06-15 10:58 EDT (History)
3 users (show)

See Also:
Fixed In Version: drupal6-features-1.0-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 01:15:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
stickster: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Borsa 2011-04-21 06:21:15 EDT
Spec URL: http://asrob.fedorapeople.org/SOURCES/drupal6-features.spec
SRPM URL: http://asrob.fedorapeople.org/SOURCES/drupal6-features-1.0-1.fc14.src.rpm
Description: The features module enables the capture and management of features in Drupal. A feature is a collection of Drupal entities which taken together satisfy a certain use-case.

Features provides a UI and API for taking different site building components from modules with exportables and bundling them together in a single feature module. A feature module is like any other Drupal module except that it declares its components (e.g. views, contexts, CCK fields, etc.) in its .info file so that it can be checked, updated, or reverted programmatically.
Comment 1 Paul W. Frields 2011-05-02 16:28:49 EDT
$ rpmlint rpmbuild/SPECS/drupal6-features.spec rpmbuild/SRPMS/drupal6-features-1.0-1.fc15.src.rpm rpmbuild/RPMS/noarch/drupal6-features-1.0-1.fc15.noarch.rpm 
drupal6-features.src: W: spelling-error %description -l en_US exportables -> exportable, ex portables, ex-portables
drupal6-features.src: W: spelling-error %description -l en_US programmatically -> pro grammatically, pro-grammatically, programmatic ally
drupal6-features.noarch: W: spelling-error %description -l en_US exportables -> exportable, ex portables, ex-portables
drupal6-features.noarch: W: spelling-error %description -l en_US programmatically -> pro grammatically, pro-grammatically, programmatic ally
drupal6-features.noarch: E: incorrect-fsf-address /usr/share/doc/drupal6-features-1.0/LICENSE.txt
2 packages and 1 specfiles checked; 1 errors, 4 warnings.

* * *

The spelling errors can be ignored.  However, the license file here should be corrected (I'm assuming).  Since this is a standard GPL license, and the strict GPLv2+ licensing applies, you should be able to just source in a newer copy of the GPLv2 that has the correct address.
Comment 2 Peter Borsa 2011-05-02 17:23:50 EDT
Updated files:
http://asrob.fedorapeople.org/SOURCES/drupal6-features.spec
http://asrob.fedorapeople.org/SOURCES/drupal6-features-1.0-2.fc14.src.rpm

[asrob@alice SPECS]$ rpmlint drupal6-features.spec ../SRPMS/drupal6-features-1.0-2.fc14.src.rpm ../RPMS/noarch/drupal6-features-1.0-2.fc14.noarch.rpm 

drupal6-features.src: W: spelling-error %description -l en_US exportables -> exportable, ex portables, ex-portables
drupal6-features.src: W: spelling-error %description -l en_US programmatically -> pro grammatically, pro-grammatically, programmatic ally
drupal6-features.noarch: W: spelling-error %description -l en_US exportables -> exportable, ex portables, ex-portables
drupal6-features.noarch: W: spelling-error %description -l en_US programmatically -> pro grammatically, pro-grammatically, programmatic ally
2 packages and 1 specfiles checked; 0 errors, 4 warnings.
Comment 3 Paul W. Frields 2011-05-10 09:34:38 EDT
[ O K ] MUST: rpmlint must be run on every package. The output should be posted
in the review.

[ O K ] MUST: The package must be named according to the Package Naming
Guidelines.

[ O K ] MUST: The spec file name must match the base package %{name}, in the
format %{name}.spec unless your package has an exemption.

[ O K ] MUST: The package must meet the Packaging Guidelines.

[ O K ] MUST: The package must be licensed with a Fedora approved license and
meet the Licensing Guidelines.

[ O K ] MUST: The License field in the package spec file must match the actual
license. 

[ O K ] MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.

[ O K ] MUST: The spec file must be written in American English. 

[ O K ] MUST: The spec file for the package MUST be legible. 

[ O K ] MUST: The sources used to build the package must match the upstream
source, as provided in the spec URL. Reviewers should use md5sum for this task.
If no upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.

$ md5sum rpmbuild/SOURCES/drupal6-features-1.0/features-6.x-1.0.tar.gz ; curl -s -o - http://ftp.drupal.org/files/projects/features-6.x-1.0.tar.gz | md5sum -
f63eb94c7ae5c553d3d4327ef0b9174b  rpmbuild/SOURCES/drupal6-features-1.0/features-6.x-1.0.tar.gz
f63eb94c7ae5c553d3d4327ef0b9174b  -

[ O K ] MUST: The package MUST successfully compile and build into binary rpms
on at least one primary architecture. 

[ N/A ] MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in
bugzilla, describing the reason that the package does not compile/build/work on
that architecture. The bug number MUST be placed in a comment, next to the
corresponding ExcludeArch line. 

[ O K ] MUST: All build dependencies must be listed in BuildRequires, except
for any that are listed in the exceptions section of the Packaging Guidelines ;
inclusion of those as BuildRequires is optional. Apply common sense.

[ O K ] MUST: The spec file MUST handle locales properly. This is done by using
the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

[ N/A ] MUST: Every binary RPM package (or subpackage) which stores shared
library files (not just symlinks) in any of the dynamic linker's default paths,
must call ldconfig in %post and %postun. 

[ O K ] MUST: Packages must NOT bundle copies of system libraries.

[ O K ] MUST: If the package is designed to be relocatable, the packager must
state this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker. 

[ O K ] MUST: A package must own all directories that it creates. If it does
not create a directory that it uses, then it should require a package which
does create that directory. 

[ O K ] MUST: A Fedora package must not list a file more than once in the spec
file's %files listings. (Notable exception: license texts in specific
situations)

[ O K ] MUST: Permissions on files must be set properly. Executables should be
set with executable permissions, for example. Every %files section must include
a %defattr(...) line. 

[ O K ] MUST: Each package must consistently use macros. 

[ O K ] MUST: The package must contain code, or permissable content. 

[ O K ] MUST: Large documentation files must go in a -doc subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity). 

[ O K ] MUST: If a package includes something as %doc, it must not affect the
runtime of the application. To summarize: If it is in %doc, the program must
run properly if it is not present. 

[ N/A ] MUST: Header files must be in a -devel package. 

[ N/A ] MUST: Static libraries must be in a -static package. 

[ N/A ] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in
a -devel package. 

[ N/A ] MUST: In the vast majority of cases, devel packages must require the
base package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release} 

[ O K ] MUST: Packages must NOT contain any .la libtool archives, these must be
removed in the spec if they are built.

[ O K ] MUST: Packages containing GUI applications must include a
%{name}.desktop file, and that file must be properly installed with
desktop-file-install in the %install section. If you feel that your packaged
GUI application does not need a .desktop file, you must put a comment in the
spec file with your explanation. 

[ O K ] MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another
package owns, then please present that at package review time. 

[ O K ] MUST: All filenames in rpm packages must be valid UTF-8.

* * *

APPROVED.
Comment 4 Peter Borsa 2011-05-10 10:41:50 EDT
New Package SCM Request
=======================
Package Name: drupal6-features
Short Description: The features module enables the capture and management of features in Drupal. A feature is a collection of Drupal entities which taken together satisfy a certain use-case.
Owners: asrob
Branches: f14 f15 el5 el6
InitialCC:
Comment 5 Jason Tibbitts 2011-05-10 11:40:13 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2011-05-10 16:01:00 EDT
drupal6-features-1.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal6-features-1.0-2.el6
Comment 7 Paul W. Frields 2011-05-13 17:54:15 EDT
Peter, can you also build & push for el5 and f15?  Thanks.
Comment 8 Fedora Update System 2011-05-13 20:00:38 EDT
drupal6-features-1.0-2.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 9 Fedora Update System 2011-05-15 13:04:17 EDT
drupal6-features-1.0-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/drupal6-features-1.0-2.el5
Comment 10 Fedora Update System 2011-05-15 13:11:26 EDT
drupal6-features-1.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/drupal6-features-1.0-2.fc14
Comment 11 Fedora Update System 2011-05-15 13:24:07 EDT
drupal6-features-1.0-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/drupal6-features-1.0-2.fc15
Comment 12 Fedora Update System 2011-05-19 01:04:22 EDT
drupal6-features-1.0-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/drupal6-features-1.0-3.fc14
Comment 13 Fedora Update System 2011-05-19 01:06:18 EDT
drupal6-features-1.0-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/drupal6-features-1.0-3.fc15
Comment 14 Fedora Update System 2011-05-19 01:09:34 EDT
drupal6-features-1.0-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/drupal6-features-1.0-3.el5
Comment 15 Fedora Update System 2011-05-19 01:10:30 EDT
drupal6-features-1.0-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal6-features-1.0-3.el6
Comment 16 Fedora Update System 2011-06-11 00:19:07 EDT
drupal6-features-1.0-3.fc15 has been pushed to the Fedora 15 stable repository.
Comment 17 Fedora Update System 2011-06-11 00:32:18 EDT
drupal6-features-1.0-3.fc14 has been pushed to the Fedora 14 stable repository.
Comment 18 Fedora Update System 2011-06-15 10:56:28 EDT
drupal6-features-1.0-3.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 19 Fedora Update System 2011-06-15 10:58:34 EDT
drupal6-features-1.0-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.